Subject: Re: [PATCH -next] netfilter: Use LOGLEVEL_<FOO> defines

From: Pablo Neira Ayuso <[email-masked]>
Date: Mon, 23 Mar 2015 14:52:35 +0100

On Tue, Mar 24, 2015 at 12:38:28AM +1100, Stephen Rothwell wrote:
> Hi Joe,
> 
> On Mon, 23 Mar 2015 06:23:51 -0700 Joe Perches <[email-masked]> wrote:
> >
> > Use the #defines where appropriate.
> > 
> > Signed-off-by: Joe Perches <[email-masked]>
> > ---
> > > > Perhaps all the .level = 4 uses should be LOGLEVEL_WARNING
> > > > and .level = 5 should be LOGLEVEL_NOTICE
> > > 
> > > Yes, we can push a follow up patch to net-next changing all these
> > > spots in the netfilter tree. Would you send a patch for this?
> > 
> > There are indirect includes of kern_levels.h but there are a
> > lot of indirect includes of kernel.h in netfilter
> 
> I am not sure what you are getting at here.  kernel.h does not include
> kern_levels.h (but printk.h does).  I, for one, am always happier when
> necessary include files are explicitly included.

I would also prefer if you include the explicit header files in that
patch too. Could you send us a v2? Please, Cc:
[email-masked]

Thanks.